Package org.h2gis.functions.spatial.aggregate

## Class ST_Collect

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.aggregate.ST_Collect

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Collect
    extends org.h2gis.api.DeterministicScalarFunction

Construct an array of Geometries.

Author:
  Nicolas Fortin, Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Collect()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `collect​(org.locationtech.jts.geom.Geometry[] geometries)` Create a geometry from an array of geometries
`static org.locationtech.jts.geom.Geometry` `collect​(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)` Create a geometry from an array of geometries
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Collect

    public ST_Collect()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### collect

    public static org.locationtech.jts.geom.Geometry collect​(org.locationtech.jts.geom.Geometry[] geometries)

Create a geometry from an array of geometries

Parameters:
  `geometries` - array of geometries
Returns:
  org.locationtech.jts.geom.Geometry

#### collect

    public static org.locationtech.jts.geom.Geometry collect​(org.locationtech.jts.geom.Geometry geomA,
                                                             org.locationtech.jts.geom.Geometry geomB)

Create a geometry from an array of geometries

Parameters:
  `geomA` - input geometry
  `geomB` - input geometry
Returns:
  org.locationtech.jts.geom.Geometry